# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.2

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/Jordan/Projects/CPP/LearningVulkan

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/Jordan/Projects/CPP/LearningVulkan/build

# Include any dependencies generated for this target.
include CMakeFiles/LearningVulkan.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/LearningVulkan.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/LearningVulkan.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/LearningVulkan.dir/flags.make

CMakeFiles/LearningVulkan.dir/codegen:
.PHONY : CMakeFiles/LearningVulkan.dir/codegen

CMakeFiles/LearningVulkan.dir/src/main.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/main.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/main.cpp
CMakeFiles/LearningVulkan.dir/src/main.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/LearningVulkan.dir/src/main.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/main.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/main.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/main.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/main.cpp

CMakeFiles/LearningVulkan.dir/src/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/main.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/main.cpp > CMakeFiles/LearningVulkan.dir/src/main.cpp.i

CMakeFiles/LearningVulkan.dir/src/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/main.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/main.cpp -o CMakeFiles/LearningVulkan.dir/src/main.cpp.s

CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/private/GlfwWindowManager.cpp
CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/private/GlfwWindowManager.cpp

CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/private/GlfwWindowManager.cpp > CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.i

CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/private/GlfwWindowManager.cpp -o CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.s

CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanBuffers.cpp
CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanBuffers.cpp

CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanBuffers.cpp > CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.i

CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanBuffers.cpp -o CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.s

CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanContext.cpp
CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanContext.cpp

CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanContext.cpp > CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.i

CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanContext.cpp -o CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.s

CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanDebugManager.cpp
CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanDebugManager.cpp

CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanDebugManager.cpp > CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.i

CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanDebugManager.cpp -o CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.s

CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanDeviceManager.cpp
CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Building CXX object CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanDeviceManager.cpp

CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanDeviceManager.cpp > CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.i

CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanDeviceManager.cpp -o CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.s

CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanFramebuffers.cpp
CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_7) "Building CXX object CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanFramebuffers.cpp

CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanFramebuffers.cpp > CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.i

CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanFramebuffers.cpp -o CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.s

CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanInstanceManager.cpp
CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_8) "Building CXX object CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanInstanceManager.cpp

CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanInstanceManager.cpp > CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.i

CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanInstanceManager.cpp -o CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.s

CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanPipeline.cpp
CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_9) "Building CXX object CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanPipeline.cpp

CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanPipeline.cpp > CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.i

CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanPipeline.cpp -o CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.s

CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanRenderPass.cpp
CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_10) "Building CXX object CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanRenderPass.cpp

CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanRenderPass.cpp > CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.i

CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanRenderPass.cpp -o CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.s

CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanSwapChain.cpp
CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_11) "Building CXX object CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanSwapChain.cpp

CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanSwapChain.cpp > CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.i

CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanSwapChain.cpp -o CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.s

CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanTexture.cpp
CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_12) "Building CXX object CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanTexture.cpp

CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanTexture.cpp > CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.i

CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/private/VulkanTexture.cpp -o CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.s

CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/utilities/Logger.cpp
CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_13) "Building CXX object CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/utilities/Logger.cpp

CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/utilities/Logger.cpp > CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.i

CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/utilities/Logger.cpp -o CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.s

CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/utilities/stb_image_impl.cpp
CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_14) "Building CXX object CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/utilities/stb_image_impl.cpp

CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/utilities/stb_image_impl.cpp > CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.i

CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/utilities/stb_image_impl.cpp -o CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.s

CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/src/utilities/tiny_obj_loader_impl.cpp
CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_15) "Building CXX object CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.o -MF CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.o.d -o CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/src/utilities/tiny_obj_loader_impl.cpp

CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/src/utilities/tiny_obj_loader_impl.cpp > CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.i

CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/src/utilities/tiny_obj_loader_impl.cpp -o CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.s

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui.cpp
CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_16) "Building CXX object CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.o -MF CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.o.d -o CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui.cpp

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui.cpp > CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.i

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui.cpp -o CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.s

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_demo.cpp
CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_17) "Building CXX object CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.o -MF CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.o.d -o CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_demo.cpp

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_demo.cpp > CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.i

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_demo.cpp -o CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.s

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_draw.cpp
CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_18) "Building CXX object CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.o -MF CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.o.d -o CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_draw.cpp

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_draw.cpp > CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.i

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_draw.cpp -o CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.s

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_tables.cpp
CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_19) "Building CXX object CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.o -MF CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.o.d -o CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_tables.cpp

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_tables.cpp > CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.i

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_tables.cpp -o CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.s

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_widgets.cpp
CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_20) "Building CXX object CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.o -MF CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.o.d -o CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_widgets.cpp

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_widgets.cpp > CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.i

CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/imgui_widgets.cpp -o CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.s

CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/backends/imgui_impl_glfw.cpp
CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_21) "Building CXX object CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.o -MF CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.o.d -o CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/backends/imgui_impl_glfw.cpp

CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/backends/imgui_impl_glfw.cpp > CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.i

CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/backends/imgui_impl_glfw.cpp -o CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.s

CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.o: CMakeFiles/LearningVulkan.dir/flags.make
CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.o: /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/backends/imgui_impl_vulkan.cpp
CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.o: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_22) "Building CXX object CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.o -MF CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.o.d -o CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.o -c /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/backends/imgui_impl_vulkan.cpp

CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/backends/imgui_impl_vulkan.cpp > CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.i

CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/Jordan/Projects/CPP/LearningVulkan/lib/imgui/backends/imgui_impl_vulkan.cpp -o CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.s

# Object files for target LearningVulkan
LearningVulkan_OBJECTS = \
"CMakeFiles/LearningVulkan.dir/src/main.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.o" \
"CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.o" \
"CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.o" \
"CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.o" \
"CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.o" \
"CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.o" \
"CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.o" \
"CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.o" \
"CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.o"

# External object files for target LearningVulkan
LearningVulkan_EXTERNAL_OBJECTS =

LearningVulkan: CMakeFiles/LearningVulkan.dir/src/main.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/private/GlfwWindowManager.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/private/VulkanBuffers.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/private/VulkanContext.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/private/VulkanDebugManager.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/private/VulkanDeviceManager.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/private/VulkanFramebuffers.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/private/VulkanInstanceManager.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/private/VulkanPipeline.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/private/VulkanRenderPass.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/private/VulkanSwapChain.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/private/VulkanTexture.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/utilities/Logger.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/utilities/stb_image_impl.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/src/utilities/tiny_obj_loader_impl.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/lib/imgui/imgui.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_demo.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_draw.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_tables.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/lib/imgui/imgui_widgets.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_glfw.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/lib/imgui/backends/imgui_impl_vulkan.cpp.o
LearningVulkan: CMakeFiles/LearningVulkan.dir/build.make
LearningVulkan: CMakeFiles/LearningVulkan.dir/compiler_depend.ts
LearningVulkan: CMakeFiles/LearningVulkan.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_23) "Linking CXX executable LearningVulkan"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/LearningVulkan.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/LearningVulkan.dir/build: LearningVulkan
.PHONY : CMakeFiles/LearningVulkan.dir/build

CMakeFiles/LearningVulkan.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/LearningVulkan.dir/cmake_clean.cmake
.PHONY : CMakeFiles/LearningVulkan.dir/clean

CMakeFiles/LearningVulkan.dir/depend:
	cd /home/Jordan/Projects/CPP/LearningVulkan/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/Jordan/Projects/CPP/LearningVulkan /home/Jordan/Projects/CPP/LearningVulkan /home/Jordan/Projects/CPP/LearningVulkan/build /home/Jordan/Projects/CPP/LearningVulkan/build /home/Jordan/Projects/CPP/LearningVulkan/build/CMakeFiles/LearningVulkan.dir/DependInfo.cmake "--color=$(COLOR)" LearningVulkan
.PHONY : CMakeFiles/LearningVulkan.dir/depend

